=== debian/changelog ===
redkite (1.0.3-0ubuntu4) groovy; urgency=medium

  * Bump compat, standards

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 14 Sep 2020 15:43:32 -0700

redkite (1.0.3-0ubuntu3) groovy; urgency=medium

  * Fix manpage path 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 16 Aug 2020 15:14:27 -0700

redkite (1.0.3-0ubuntu2) groovy; urgency=medium

  * Include manpage

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 16 Aug 2020 22:05:54 +0000

redkite (1.0.3-0ubuntu1) groovy; urgency=medium

  * New upstream release 1.0.3
  * Features
    - RkObject and object tree ownership
    - RkContainerItem, now continer supports space, RkWidget and RkContainter items
    - Popup widget
    - Hover event
    - RkTransition - linear transition from one value to another, useful for effects
    - RkAction, useful to execute synchronous actions
    - Shortcuts
  * Improvements
    - RkContainer
    - RkEventQueue
    - RkWidget
    - RkButton
    - events, actions and objects binds
  * Fixes since 1.0.0
    - fix for copy constructor of RkImage
    - some cleanup of useless code
  * Fixes since 1.0.1
    - some fixes for potential clang compile errors
  * Fixes since 1.0.2
    - include in Rk.h file (fix a potential clang compile error)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 14 Aug 2020 16:00:30 +0000

redkite (0.8.1-0ubuntu1) groovy; urgency=medium

  * Initial release for Ubuntu

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Wed, 03 Jun 2020 10:29:07 -0700

Old changelog:

redkite-static (5:0.8.1-1kxstudio1) bionic; urgency=medium

  * Update

 -- falkTX <falktx@gmail.com>  Sun, 31 May 2020 06:14:35 +0100

redkite-static (5:0.6.3-1kxstudio1) bionic; urgency=medium

  * New package

 -- falkTX <falktx@gmail.com>  Sun, 15 Sep 2019 14:12:37 +0100
