## redkite 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.8)
 
-project(redkite VERSION 1.0.1)
+project(redkite VERSION 1.3.1)
 
 option(ENABLE_EXAMPLES "Build examples" ON)
 
@@ -68,6 +68,7 @@
 
 set(RK_HEADERS
   ${RK_INCLUDE_PATH}/Rk.h
+  ${RK_INCLUDE_PATH}/RkVariant.h
   ${RK_INCLUDE_PATH}/RkObserver.h
   ${RK_INCLUDE_PATH}/RkObject.h
   ${RK_INCLUDE_PATH}/RkAction.h
@@ -87,11 +88,13 @@
   ${RK_INCLUDE_PATH}/RkLabel.h
   ${RK_INCLUDE_PATH}/RkButton.h
   ${RK_INCLUDE_PATH}/RkLineEdit.h
+  ${RK_INCLUDE_PATH}/RkList.h
   ${RK_INCLUDE_PATH}/RkProgressBar.h
   ${RK_INCLUDE_PATH}/RkCanvas.h
   ${RK_INCLUDE_PATH}/RkImage.h
   ${RK_INCLUDE_PATH}/RkPainter.h
   ${RK_INCLUDE_PATH}/RkMain.h
+  ${RK_INCLUDE_PATH}/RkModel.h
   ${RK_INCLUDE_PATH}/RkContainerItem.h
   ${RK_INCLUDE_PATH}/RkContainerWidgetItem.h
   ${RK_INCLUDE_PATH}/RkContainer.h
@@ -104,6 +107,8 @@
   ${RK_INCLUDE_PATH}/impl/RkEventQueueImpl.h
   ${RK_INCLUDE_PATH}/impl/RkWidgetImpl.h
   ${RK_INCLUDE_PATH}/impl/RkLabelImpl.h
+  ${RK_INCLUDE_PATH}/impl/RkListImpl.h
+  ${RK_INCLUDE_PATH}/impl/RkModelImpl.h
   ${RK_INCLUDE_PATH}/impl/RkButtonImpl.h
   ${RK_INCLUDE_PATH}/impl/RkLineEditImpl.h
   ${RK_INCLUDE_PATH}/impl/RkProgressBarImpl.h
@@ -129,7 +134,7 @@
   ${RK_INCLUDE_PATH}/impl/platforms/mac/RkWindowMac.h
   ${RK_INCLUDE_PATH}/impl/platforms/mac/RkEventQueueMac.h)
 else() # defaut GNU/Linux
-set(RK_HEADERS_PLATFORM
+  set(RK_HEADERS_PLATFORM
   ${RK_INCLUDE_PATH}/impl/platforms/xwin/RkWindowX.h
   ${RK_INCLUDE_PATH}/impl/platforms/xwin/RkEventQueueX.h)
 endif()
@@ -144,12 +149,16 @@
   ${RK_SRC_PATH}/RkTimer.cpp
   ${RK_SRC_PATH}/RkEventQueueImpl.cpp
   ${RK_SRC_PATH}/RkMainImpl.cpp
+  ${RK_SRC_PATH}/RkModel.cpp
+  ${RK_SRC_PATH}/RkModelImpl.cpp
   ${RK_SRC_PATH}/RkLabel.cpp
   ${RK_SRC_PATH}/RkLabelImpl.cpp
   ${RK_SRC_PATH}/RkButton.cpp
   ${RK_SRC_PATH}/RkButtonImpl.cpp
   ${RK_SRC_PATH}/RkLineEdit.cpp
   ${RK_SRC_PATH}/RkLineEditImpl.cpp
+  ${RK_SRC_PATH}/RkList.cpp
+  ${RK_SRC_PATH}/RkListImpl.cpp
   ${RK_SRC_PATH}/RkProgressBar.cpp
   ${RK_SRC_PATH}/RkProgressBarImpl.cpp
   ${RK_SRC_PATH}/RkPainter.cpp
