=== debian/changelog ===
redkite (1.3.1-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix release 1.3.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Feb 2021 10:08:55 -0800

redkite (1.3.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release
  * Fix close screen for top window
  * Fix crash for popups
  * Fixes button
  * Improved buttons
  * Improved popup
  * Do not use transient for popups
  * Close event programmatically
  * RkString just a std::string defined type for now

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 16 Dec 2020 08:12:03 -0800

redkite (1.2.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release 1.2.0
  * Changes since 1.0.3
    - RkList - a list view (still not supporting scroll)
    - RkModel - a simple abstract class for creating models
    - RkVariant - just type def of std::vaiant that supports std::string,
      RkColor, RkSize and RkFont
    - UI scaling (useful for so-called HiDPI cases)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 03 Nov 2020 13:41:31 -0800
