=== debian/control ===
Source: redkite
Section: libs
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
XSBC-Original-Maintainer: falkTX <falktx@falktx.com>
Build-Depends: debhelper-compat (= 13),
  cmake,
  pkg-config,
  libcairo2-dev,
  libx11-dev,
Standards-Version: 4.5.0

Package: libredkite-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: small GUI toolkit
 Redkite is a small free software GUI toolkit.
 It is developed in C++17 and inspired from other well known GUI toolkits.
